// Proxmox VE
# variable "pve_api_url" {
#   type = string
# }

# variable "pve_api_token" {
#   type = string
# }

variable "pve_ssh_keys" {
  type = list(string)
}

variable "pve_node_name" {
  type = string
}

// Cloudflare
variable "cloudflare_api_token" {
  type = string
}

variable "cloudflare_zones" {
  type = any
}

// Univention
variable "ucs_api_url" {
  type = string
}

variable "ucs_api_username" {
  type = string
}

variable "ucs_api_password" {
  type = string
}

variable "ucs_zones" {
  type = any
}

// Module
variable "server" {
  type    = any
  default = []
}

variable "server_dns_zone" {
  type = string
}

variable "server_datastore_id" {
  type = string
}

variable "server_network_bridge" {
  type = string
}

variable "server_keyboard_layout" {
  type = string
}

variable "server_guest_agent" {
  type    = bool
  default = false
}
